import 'Args.dart';

class ArgumentsBuilder {
  Arguments _args = Arguments();

  ArgumentsBuilder._();

  factory ArgumentsBuilder.builder() {
    return ArgumentsBuilder._();
  }

  ArgumentsBuilder withArgument(Argument arg) {
    _args.setArg(arg);
    return this;
  }

  Arguments build() {
    return _args;
  }
}
