import 'dart:convert';

abstract class IJsonSerializable {
  /// Encode json and return as String
  String encode() {
    return json.encode(toJson());
  }

  /// Returns a Json Object
  Map<String,dynamic> toJson();
}